Base Module VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Attributes | List of all members
IUpdateManager Class Referenceabstract

Handle Send and Cancel pending message for a given object. More...

`#include <updatehandler.h>`

Inheritance diagram for IUpdateManager:

## Public Member Functions
virtual tresult | cancelUpdates (FUnknown *object)=0
| cancel pending messages send by
virtual tresult | triggerDeferedUpdates (FUnknown *object=nullptr)=0
| send pending messages send by

## Static Public Attributes
static const FUID | iid

## Detailed Description

Handle Send and Cancel pending message for a given object.

## Member Function Documentation

virtual tresult cancelUpdates | ( | FUnknown * | object | ) |
| pure virtual

cancel pending messages send by

Parameters

  object | or by any if object is 0

Implemented in UpdateHandler.

virtual tresult triggerDeferedUpdates | ( | FUnknown * | object = `nullptr` | ) |
| pure virtual

send pending messages send by

Parameters

  object | or by any if object is 0

Implemented in UpdateHandler.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.